import {Component, Input, OnInit} from '@angular/core';
import {RestaurantesService} from "../../restaurantes.service";

@Component({
  selector: 'app-modal',
  templateUrl: './modal.component.html',
  styleUrls: ['./modal.component.scss']
})
export class ModalComponent implements OnInit {

  @Input()idModalRes:any;
  @Input()nombreSelect:any;
  id:any;
  restaurante:any;



  agre={
    nombre:null

  }



  constructor(private restaurantServ : RestaurantesService) {
    this.id = this.idModalRes;
  }

  ngOnInit(): void {
    console.log(this.id);
    this.recuperartodos();
  }

recuperartodos(){
  console.log(this.restaurante);
  this.restaurantServ.mostrarTodosRes().subscribe(result => this.restaurante = result);
}

  agregarRes(){

    this.restaurantServ.agregar(this.agre).subscribe((respuesta)=>{
      this.recuperartodos();
    });
  }
  modificarRes(id:any){
    console.log(id,this.agre)

    this.restaurantServ.modificar(id,this.agre).subscribe();
  }
  eliminarRes(id:any){
    if(confirm("Esta seguro de eliminar este registro?")) {
      this.restaurantServ.eliminar(id).subscribe()
    }
  }


}
